<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Basis\DrucklistenAllgemein\Drucklisten\ShowSettingsDruckListen;


class ShowSettingsDruckListenAllgemeinLehrplanView extends \Kufer\Web\KuferTools\Basis\View\ViewSight
{
  public function getTemplatePathRelative()
  {
    return 'basis/pdflisten/drucklisten/showSettingsLehrplan.sgt';
  }

  protected function getHeaderDataModulArray()
  {
    return $this->getDefaultDataModulArray();
  }

  
  protected function getBodyDataModulArray()
  {
    
    static $dataModulObj = null;
    if (\is_null($dataModulObj)) {
      $dataModulObj = new \Datamodul();
      
      $dataModulObj->einstellOptionChecked = $this->viewModel->einstellOptionChecked;
      $dataModulObj->einstellOptionEnabled = $this->viewModel->einstellOptionEnabled;
      $dataModulObj->showKurstageNurVonEingeloggtemDozent = $this->viewModel->showKurstageNurVonEingeloggtemDozent;
    }

    return array($dataModulObj);
  }

  

  protected function getBodyExportAdapter()
  {
    return new \ExpListSettings();
  }

  
  protected function getNoColumnDataModulArray()
  {
    return $this->getDefaultDataModulArray();
  }

  
  protected function getDefaultDataModulArray()
  {
    return array();
  }
} 

class ShowSettingsDruckListenAllgemeinLehrplanViewModel
{
  public $einstellOptionChecked; 
  public $einstellOptionEnabled; 
}